const __vite__mapDeps=(i,m=__vite__mapDeps,d=(m.f||(m.f=["assets/index-CNMZIAuB.js","assets/BasicForm-dL_oCSPM.js","assets/Render.vue_vue_type_script_lang-DKUYY0Zw.js","assets/index-9PRMimni.js","assets/index-CZ_CrH4_.css","assets/SingleImageUpload-CNx4b9eC.js","assets/ImageUpload.vue_vue_type_style_index_0_scoped_cb086928_lang-D-28kXvw.js","assets/componentSetting-DVhNDBTO.js","assets/ImageUpload-2O79x_Q-.css","assets/ImageUpload-DUsnro3W.js","assets/vuedraggable.umd-Co2xEC3p.js","assets/BasicUpload.vue_vue_type_style_index_0_scoped_a4d0e930_lang-DxRbtP01.js","assets/BasicUpload-q2aOClOy.css","assets/tabsView-BXskTdVh.js","assets/BasicForm.vue_vue_type_style_index_0_scoped_b9e995ec_lang-CEvcLwxD.js","assets/propTypes-CebMRUpe.js","assets/BasicForm-foIylFd_.css","assets/BasicSelect-C_uwzMkE.js","assets/BasicSelect.vue_vue_type_style_index_0_scoped_772d51cc_lang-Brp6PjEU.js","assets/BasicSelect-DteQK1Vf.css","assets/dictionary-BRse4lkf.js","assets/index-DkvzUEqh.js","assets/index-kKnqLkWM.js","assets/AutoComplete-Dv1Bqed4.js","assets/TreeSelect-BZh2DeCh.js","assets/template-rpthWlT9.js","assets/useForm-CKmgcynv.js","assets/usePageCache-DluHn7Yy.js","assets/index-kU0TO60-.js","assets/Modal.vue_vue_type_script_setup_true_lang-C3R_8Jnq.js","assets/basicModal.vue_vue_type_script_setup_true_lang-CsJydKhW.js","assets/basicModal.vue_vue_type_style_index_0_lang-8QZP7ApW.js","assets/basicModal-DbyYhys_.css","assets/jobOrder-CGbsc7bp.js","assets/useModal-CO65vga3.js","assets/index-CU7m16Rf.js"])))=>i.map(i=>d[i]);
import { d as N, f as S, a4 as D, V as j, r as u, a as O, ay as q, ec as g, d9 as K, c as m, o as p, w as e, j as a, W, i as r, aI as z, p as d, A as _, l as t, B as G, D as M, aE as U, ds as X, ca as $, X as F, br as b, __tla as __tla_0 } from "./index-9PRMimni.js";
import { T as H } from "./tabsView-BuQA2jOW.js";
import { u as J } from "./useTags-C1thGhjF.js";
import "./vuedraggable.umd-Co2xEC3p.js";
import "./element-resize-detector-D6t9qRKJ.js";
import "./Render.vue_vue_type_script_lang-DKUYY0Zw.js";
import "./tabsView-BXskTdVh.js";
let le;
let __tla = Promise.all([
    (()=>{
        try {
            return __tla_0;
        } catch  {}
    })()
]).then(async ()=>{
    let Q, Y;
    Q = {
        class: "flex justify-between"
    };
    Y = {
        class: "flex justify-end align-end gap-2"
    };
    le = N({
        __name: "index",
        setup (Z) {
            const { closeCurrentTabToBack: P } = J();
            function w() {
                try {
                    P();
                } catch (s) {
                    console.warn("Error closing tab:", s);
                }
            }
            const V = S(), x = D(()=>V.query.type === "edit"), { t: n } = j(), y = {
                particulars: g(()=>b(()=>import("./index-CNMZIAuB.js"), __vite__mapDeps([0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27]))),
                vesselPhotos: g(()=>b(()=>import("./index-kU0TO60-.js"), __vite__mapDeps([28,29,30,31,3,4,32,1,2,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,33,25,34,26,27]))),
                managementInfo: g(()=>b(()=>import("./index-CU7m16Rf.js").then(async (m)=>{
                            await m.__tla;
                            return m;
                        }), __vite__mapDeps([35,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27])))
            }, f = u("particulars");
            function E(s) {
                l.value = s.value, f.value = s.compPage || "particulars";
            }
            const l = u("particulars"), h = u(), C = u(), I = D(()=>[
                    {
                        label: n("mdm.vesselsDetail.particulars"),
                        value: "particulars",
                        compPage: "particulars"
                    },
                    {
                        label: n("mdm.vesselsDetail.managementInfo"),
                        value: "managementInfo",
                        compPage: "managementInfo"
                    },
                    {
                        label: n("mdm.vesselsDetail.vesselPhotos"),
                        value: "vesselPhotos",
                        compPage: "vesselPhotos"
                    }
                ]);
            async function k() {
                l.value === "managementInfo" && await C.value.handleSave();
            }
            const c = O({
                tabsList: I.value,
                collapsed: !1,
                activeKey: "particulars"
            });
            function B() {
                w();
            }
            return q(()=>l.value, (s)=>{
                console.log("watch currentTab", s), y[f.value] && (h.value = y[f.value]);
            }, {
                immediate: !0
            }), (s, o)=>{
                const T = G, v = z, i = W, R = F, A = K("debounce");
                return p(), m(R, null, {
                    default: e(()=>[
                            a(i, null, {
                                default: e(()=>[
                                        r("div", Q, [
                                            r("div", null, [
                                                a(i, {
                                                    bordered: !1,
                                                    class: "proCard bg-transparent",
                                                    "content-class": "p-0 flex"
                                                }, {
                                                    default: e(()=>[
                                                            a(v, {
                                                                trigger: "hover"
                                                            }, {
                                                                trigger: e(()=>[
                                                                        a(T, {
                                                                            quaternary: "",
                                                                            class: "mr-2",
                                                                            onClick: B
                                                                        }, {
                                                                            default: e(()=>o[1] || (o[1] = [
                                                                                    r("i", {
                                                                                        class: "iconfont icon-a-shangyibu2 text-base"
                                                                                    }, null, -1)
                                                                                ])),
                                                                            _: 1
                                                                        })
                                                                    ]),
                                                                default: e(()=>[
                                                                        d(_(t(n)("common.back")), 1)
                                                                    ]),
                                                                _: 1
                                                            }),
                                                            a(v, {
                                                                trigger: "hover"
                                                            }, {
                                                                trigger: e(()=>[
                                                                        a(i, {
                                                                            bordered: !1,
                                                                            class: "proCard bg-transparent",
                                                                            "content-class": "p-0 font-bold text-[18px] md:text-[12px] lg:text-[14px] xl:text-[16px] 2xl:text-[18px] whitespace-nowrap overflow-hidden text-ellipsis flex items-center"
                                                                        }, {
                                                                            default: e(()=>[
                                                                                    d(_(t(n)("mdm.vesselsDetail.title")), 1)
                                                                                ]),
                                                                            _: 1
                                                                        })
                                                                    ]),
                                                                default: e(()=>[
                                                                        d(" " + _(t(n)("mdm.vesselsDetail.title")), 1)
                                                                    ]),
                                                                _: 1
                                                            })
                                                        ]),
                                                    _: 1
                                                })
                                            ]),
                                            r("div", Y, [
                                                t(x) && t(c).activeKey === "managementInfo" ? (p(), m(v, {
                                                    key: 0,
                                                    trigger: "hover"
                                                }, {
                                                    trigger: e(()=>[
                                                            U((p(), m(T, {
                                                                strong: "",
                                                                secondary: "",
                                                                type: "primary",
                                                                class: "pl-3 pr-3"
                                                            }, {
                                                                default: e(()=>o[2] || (o[2] = [
                                                                        r("i", {
                                                                            class: "iconfont icon-Save"
                                                                        }, null, -1)
                                                                    ])),
                                                                _: 1
                                                            })), [
                                                                [
                                                                    A,
                                                                    k,
                                                                    "1000"
                                                                ]
                                                            ])
                                                        ]),
                                                    default: e(()=>[
                                                            d(_(t(n)("common.saveText")), 1)
                                                        ]),
                                                    _: 1
                                                })) : M("", !0)
                                            ])
                                        ])
                                    ]),
                                _: 1
                            }),
                            a(i, {
                                bordered: !1,
                                class: "proCard mt-3",
                                size: "small",
                                segmented: {
                                    content: !0
                                }
                            }, {
                                default: e(()=>[
                                        a(H, {
                                            modelValue: t(c),
                                            "onUpdate:modelValue": o[0] || (o[0] = (L)=>X(c) ? c.value = L : null),
                                            onChangeTab: E
                                        }, null, 8, [
                                            "modelValue"
                                        ]),
                                        (p(), m($(t(h)), {
                                            key: t(l),
                                            isEdit: t(x),
                                            ref_key: "currentComponentRef",
                                            ref: C
                                        }, null, 8, [
                                            "isEdit"
                                        ]))
                                    ]),
                                _: 1
                            })
                        ]),
                    _: 1
                });
            };
        }
    });
});
export { le as default, __tla };
